@charset "UTF-8";

/* --------------------------------------
全体
---------------------------------------*/
.form_wrap {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 3rem;
}

@media screen and (max-width: 768px) {
  .form_wrap {
    gap: 2rem;
  }
}

/* --------------------------------------
フォーム項目
---------------------------------------*/
label.form_label {
  display: flex;
  flex-wrap: wrap;
  width: 100%;
}

span.form_name {
  width: 25%;
  height: 40px;
  display: flex;
  align-items: center;
}

span.form_input {
  width: 75%;
}

@media screen and (max-width: 768px) {
  span.form_name {
    width: 100%;
  }

  span.form_input {
    width: 100%;
  }
}

/* --------------------------------------
input要素
---------------------------------------*/
.form_wrap option,
.form_wrap input[type=text],
.form_wrap input[type=email],
.form_wrap textarea,
.form_wrap select {
  width: 100%;
  height: 40px;
  background-color: var(--c_white);
  border: var(--c_grey) 1px solid;
  padding: 10px;
  box-sizing: border-box;
  font-size: var(--fs-base);
  line-height: 2;
}

.form_wrap input[type=tel] {
  width: 100%;
  max-width: 300px;
  height: 40px;
  background-color: var(--c_white);
  border: var(--c_grey) 1px solid;
  padding: 10px;
  box-sizing: border-box;
  font-size: var(--fs-base);
  line-height: 2;
}

.form_wrap textarea {
  height: 150px;
}

/* --------------------------------------
セレクター矢印変更
---------------------------------------*/
span.form_input {
  position: relative;
}

/* セレクター文字ズレ修正 */
.form_wrap select {
  appearance: none;
  -webkit-appearance: none;
  padding: 0 2.5rem 0 10px;
  line-height: 40px;
}

span.form_input:has(select)::after {
  content: "";
  position: absolute;
  top: 50%;
  right: 1rem;
  z-index: 2;
  width: 8px;
  height: 8px;
  border-right: 1px solid rgba(var(--c_black_rgb), 0.6);
  border-bottom: 1px solid rgba(var(--c_black_rgb), 0.6);
  transform: translateY(-65%) rotate(45deg);
  pointer-events: none;
}


/* --------------------------------------
必須項目
---------------------------------------*/
span.req_item::before {
  content: "必須";
  display: inline;
  font-size: var(--fs-mini);
  padding: 3px;
  background-color: var(--c_key);
  color: var(--c_white);
  margin-left: 0.5rem;
}

/* --------------------------------------
チェックボックス
---------------------------------------*/
.form_check_wrap {
  display: flex;
  justify-content: center;
  margin-top: 50px;
}

/* 位置調整 */
.form_check_wrap input[type=checkbox] {
  margin: 0;
  margin-bottom: 2px;
}

/* 余白削除 */
.wpcf7-list-item {
  margin: 0;
}

/* --------------------------------------
エラー文
---------------------------------------*/
.wpcf7-not-valid-tip {
  margin-top: 1rem;
}

/* --------------------------------------
送信ボタン
---------------------------------------*/
/* レイアウト */
.form_button_wrap {
  display: flex;
  justify-content: center;
  gap: 1rem;
  margin-top: 50px;
}

.form_button {
  width: 100%;
  max-width: 200px;
}

.form_button_wrap p {
  width: 100%;
  height: 51px;
  line-height: 1;
}

@media screen and (max-width: 768px) {
  .form_button {
    width: calc(calc(100% / 2) - 0.5rem);
    max-width: 200px;
  }
}

/* ボタン基本設定 */
.form_button_wrap input {
  appearance: none;
  -webkit-appearance: none;
  border-radius: 0;
  border: none;
  cursor: pointer;
  display: inline-block;
  width: 100%;
  padding: 1rem;
  box-sizing: border-box;
  transition: 0.5s;
}

/* 送信ボタン色 */
.form_button_wrap input[type=submit] {
  background: var(--c_key);
  border: 1px solid var(--c_key);
  color: var(--c_white);
}

.form_button_wrap input[type=submit]:hover {
  background: var(--c_tx);
  border: 1px solid var(--c_tx);
  color: var(--c_white);
}

/* リセットボタン色 */
.form_button_wrap input[type=reset],
.form_button_wrap input[type=button] {
  background: var(--c_white);
  border: 1px solid var(--c_key);
  color: var(--c_tx);
}

.form_button_wrap input[type=reset]:hover,
.form_button_wrap input[type=button]:hover {
  background: var(--c_tx);
  border: 1px solid var(--c_tx);
  color: var(--c_white);
}

/* TOPへ戻る */
.form_button_wrap a.top_btn {
  display: inline-block;
  width: 100%;
  padding: 1rem;
  box-sizing: border-box;
  transition: 0.5s;
  background: var(--c_key);
  border: 1px solid var(--c_key);
  color: var(--c_white);
  text-align: center;
}

.form_button_wrap a.top_btn:hover {
  background: var(--c_tx);
  border: 1px solid var(--c_tx);
  color: var(--c_white);
}

/* ロードするアイコン隠す */
/* .wpcf7-spinner {
  display: none;
} */

/* メッセージ隠す */
/* .wpcf7-response-output {
  display: none;
} */

/* --------------------------------------
確認画面
---------------------------------------*/
.form_wrap._confirm label.form_label {
  border-bottom: 1px solid var(--c_key);
  padding-bottom: 1rem;
}

.form_wrap._confirm span.form_input {
  display: flex;
  align-items: center;
}

.form_wrap._confirm span.form_name,
.form_wrap._confirm span.form_input {
  line-height: 2;
}

.form_wrap._confirm span.form_input.textarea {
  padding-top: 5px;
}

@media screen and (max-width: 768px) {
  .form_wrap._confirm span.form_input.textarea {
    padding-top: 0;
  }
}

/* --------------------------------------
CF7ホームページ入力
---------------------------------------*/
.hp_wrap {
  position: absolute;
  left: -9999px;
  opacity: 0;
  pointer-events: none;
}
